Module | ActiveSupport::CoreExtensions::Range::Conversions
In: | lib/active_support/core_ext/range/conversions.rb

Getting ranges in different convenient string representations and other objects

### Methods

to_formatted_s

### Constants

RANGE_FORMATS | = | { :db => Proc.new { |start, stop| "BETWEEN '#{start.to_s(:db)}' AND '#{stop.to_s(:db)}'" }

### Public Instance methods

to_formatted_s(format = :default)

Gives a human readable format of the range.

#### Example:

      [1..100].to_formatted_s # => "1..100"

[Validate]